package com.template.services;

import com.template.model.pojo.SmartExamtype;
import com.baomidou.mybatisplus.extension.service.IService;
import com.template.model.result.PageUtils;

import java.util.List;

/**
 * <p>
 * 楼栋表 服务类
 * </p>
 *
 * @author ceshi
 * @since 2024-03-12
 */
public interface SmartExamtypeService extends IService<SmartExamtype> {
    int insertSmartExamtype(SmartExamtype rns);

    int updateSmartExamtype(SmartExamtype rns);

    PageUtils<SmartExamtype> queryPageSmartExamtypes(int currentPage, int pageCount, String name, Integer gradeId);

    int deleteSmartExamtypeById(int id);

    SmartExamtype getSmartById(int id);

    List<SmartExamtype> getSmartByGradeId(int gradeId);
}
